rake katello:reset is broken on --devel deploy
Assignee: Eric Helms   

Category:    

Target version: Katello 2.0   
Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently running rake katello:reset is broken on a devel deploy.

In lib/katello/tasks/setup.rake  "cpdb --drop --create" is called, but since candlepin does not have permissions to remove and create

dbs, this fails.  A workaround is:

sudo -u postgres psql

ALTER USER candlepin WITH SUPERUSER;

Associated revisions

Revision 73f509f3 - 05/21/2014 01:36 AM - Eric Helms

Refs #5681: Candlepin reset only needs to drop, create and migrate the database.

Previously, we used cpdb and cpsetup to manage the Candlepin database,

cert and configuration file deployment when running Katello reset. With

the installer handling the cert and configuration file, we need only to

drop, create and migrate the Candlepin database when resetting.

Revision 0f8b1b43 - 05/21/2014 08:08 AM - Eric Helms

Refs #5681: Gives candlepin DB user superuser to allow katello dev

reset task to work.

Revision b3ce2ee2 - 05/30/2014 10:57 AM - Eric Helms

Merge pull request #10 from ehelms/refs-5681

Refs #5681: Gives candlepin DB user superuser to allow katello dev

Revision 6363f1ad - 06/02/2014 12:54 PM - Eric Helms

Merge pull request #4127 from ehelms/refs-5681

Refs #5681: Candlepin reset only needs to drop, create and migrate the d...

History

#1 - 06/02/2014 12:54 PM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#2 - 06/02/2014 12:55 PM - Eric Helms

- Status changed from New to Assigned

- Assignee set to Eric Helms
#3 - 06/11/2014 05:06 PM - Eric Helms

- Status changed from Assigned to Closed

Development deployments are now able to reset without any additional work by the developer after deployment.
